unit Madpton;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Tabs, Mcombbox, MultLang;

type
  TAdptOn = class(TForm)
    Label1: TLabel;
    ListBox1: TListBox;
    ComboBox1: TComboBox;
    TabSet1: TTabSet;
    RadioGroup1: TRadioGroup;
    MultLang1: TMultLang;
    MultLang2: TMultLang;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure MultLang2Translated(Sender: TObject; LanguageName: String;
      Successful: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AdptOn: TAdptOn;

implementation

{$R *.DFM}

procedure TAdptOn.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=caFree;
end;

procedure TAdptOn.Button1Click(Sender: TObject);
begin
  MultLang2.Edit(nil);
end;

procedure TAdptOn.MultLang2Translated(Sender: TObject;
  LanguageName: String; Successful: Boolean);
begin
  if MultLang2.Text='TTabSet' then
    MultLang1.AdoptOn:=TabSet1
  else if MultLang2.Text='TListBox' then
    MultLang1.AdoptOn:=ListBox1
  else if MultLang2.Text='TComboBox' then
    MultLang1.AdoptOn:=ComboBox1
  else if MultLang2.Text='TRadioGroup' then
    MultLang1.AdoptOn:=RadioGroup1;
end;

end.
